Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	GNU Flash movie player
Name:      	gnash
Version:   	0.8.2
Release:   	2
License: 	GPL
URL:		http://www.gnu.org/software/gnash/
Group:     	Multimedia/Video
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

BuildRequires:	mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXt-devel
BuildRequires:  SDL-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  openssl-devel
BuildRequires:  curl-devel
BuildRequires:  DirectFB-devel
BuildRequires:  expat-devel
BuildRequires:  fam-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:	glib-devel
BuildRequires:  pango-devel
BuildRequires:  kdelibs-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libmad-devel
BuildRequires:  libogg-devel
BuildRequires:  libpng-devel
BuildRequires:	libidn-devel
BuildRequires:	gtk2+-devel
BuildRequires:  qt-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel gtkglext-devel
BuildRequires:  agg-devel

%description
Gnash is a GNU Flash movie player.
Until now it has only been possible to play flash movies with proprietary software.
While there are a few other free flash players, none supports anything higher
than SWF v4 at best. Gnash is based on  GameSWF, and supports many SWF v7 features.

%package	devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description	devel
Header files for developing applications using %{name}

%package	plugin
Summary:	Web-client flash movie player plugin 
Requires:	%{name} = %{version}-%{release}
Requires:	%{_libdir}/netscape/plugins
Group:		Internet/Plugins

%description	plugin
The gnash flash movie player plugin for firefox or mozilla.

%package	klash
Summary:	Konqueror flash movie player plugin
Requires:	%{name} = %{version}-%{release}
Group:		Multimedia/Video

%description	klash
The gnash flash movie player plugin for Konqueror.

%package	cygnal
Summary:	Streaming media server
Requires:	%{name} = %{version}-%{release}
Group:		Multimedia/Video

%description	cygnal
Cygnal is a streaming media server that's Flash aware.

%post 
/sbin/ldconfig
/sbin/install-info %{_infodir}/gnash_ref.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/gnash_user.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    #/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
    #/sbin/install-info --delete %{_infodir}/asspec.info %{_infodir}/dir || :
    #/sbin/install-info --delete %{_infodir}/actionscript.info %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/gnash_ref.info %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/gnash_user.info %{_infodir}/dir || :
fi

%postun
/sbin/ldconfig

%prep
%setup -q
chmod a-x libgeometry/snappingrange.h backend/render*.h gui/gtk_glue_agg.{h,cpp} 
iconv -f latin1 -t utf8 < AUTHORS > AUTHORS.utf8
touch -r AUTHORS AUTHORS.utf8
mv AUTHORS.utf8 AUTHORS

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
./configure \
--prefix=%{_prefix} \
--mandir=%{_mandir} \
--infodir=%{_infodir} \
--sysconfdir=%{_sysconfdir} \
--localstatedir=%{_localstatedir} \
--includedir=%{_includedir} \
--with-npapi-plugindir=%{_libdir}/netscape/plugins \
--enable-klash \
--enable-mp3 \
--enable-jpeg \
--enable-png \
--enable-fontconfig \
--enable-expat \
--enable-media=GST \
--disable-dependency-tracking \
--disable-rpath \
--enable-cygnal \
--enable-gui=gtk,kde,sdl,fb \
--with-qtdir=$QTDIR
make

%install
rm -rf $RPM_BUILD_ROOT	

make install install-plugin DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

mkdir -p $RPM_BUILD_ROOT%{_infodir}/
cp doc/C/gnash_*.info $RPM_BUILD_ROOT%{_infodir}/

chmod a-x $RPM_BUILD_ROOT%_kdedir/share/services/klash_part.desktop \
 $RPM_BUILD_ROOT%_kdedir/share/apps/klash/pluginsinfo

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS 
%{_bindir}/dumpshm
%{_bindir}/fb-gnash
%{_bindir}/gtk-gnash
%{_bindir}/sdl-gnash
%{_bindir}/soldumper
%{_bindir}/gnash
%{_bindir}/gprocessor
%{_libdir}/gnash/libgnash*
%{_mandir}/man1/gnash.1*
%{_mandir}/man1/dumpshm.1*
%{_mandir}/man1/gprocessor.1*
%{_mandir}/man1/soldumper.1*
%{_infodir}/gnash*
%{_datadir}/gnash/
%{_datadir}/doc

%files plugin
%defattr(-,root,root,-)
%{_libdir}/netscape/plugins/libgnashplugin.so

%files klash
%defattr(-,root,root,-)
%{_bindir}/kde-gnash
%{_kdedir}/share/apps/klash/
%{_kdedir}/share/services/klash_part.desktop

%files cygnal
%defattr(-,root,root,-)
%{_bindir}/cygnal
%{_mandir}/man1/cygnal.1*

%files devel
%defattr(-,root,root)
%_libdir/gnash/lib%{name}amf.a
%_libdir/gnash/lib%{name}amf.la
%_libdir/gnash/lib%{name}amf.so
%_libdir/gnash/lib%{name}base.a
%_libdir/gnash/lib%{name}base.la
%_libdir/gnash/lib%{name}base.so
%_libdir/gnash/lib%{name}media.a
%_libdir/gnash/lib%{name}media.la
%_libdir/gnash/lib%{name}media.so
%_libdir/gnash/lib%{name}server.a
%_libdir/gnash/lib%{name}server.la
%_libdir/gnash/lib%{name}server.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.8.2-2
- changed package group to Multimedia/Video
- splitting package into sub packages
* Sat Mar 08 2008 Christian Wasem <wasem@ccux-linux.de> 0.8.2-1
- Version update
* Mon Nov 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.1-2
- rebuilt against x264 20071104
* Mon Oct 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.1-1
- Version update
* Sun Dec 24 2006 Christian Metzen <metzench@ccux-linux.de> 0.7.2-2
- rebuild against latest DirectFB
* Sat Nov 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-1
- Version update
* Sat Aug 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.7.1-1
- initial release
